# Build labs if option is ticked
if(BUILD_LABS)

    # Add task 1 program
    add_executable(Lab07_Task1 ${CMAKE_CURRENT_SOURCE_DIR}/../Lab06/DrawWindow.cxx ${CMAKE_CURRENT_SOURCE_DIR}/Task1.cxx)
    target_link_libraries(Lab07_Task1 IRG ${DEP_LIBS_GLFW})

    # Add task 2 program
    add_executable(Lab07_Task2 ${CMAKE_CURRENT_SOURCE_DIR}/../Lab06/DrawWindow.cxx ${CMAKE_CURRENT_SOURCE_DIR}/Task2.cxx)
    target_link_libraries(Lab07_Task2 IRG ${DEP_LIBS_GLFW})

endif()
